Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 2 of 2
  1. #1
    Junior Member
    Join Date
    Nov 2006
    Posts
    5

    LSM Spotty Add Account not working

    I have been using Spotty successfully for many months on LSM and Synology DSM. Recently I tried to upgrade Spotty and experienced some issues. In investigating these I (foolishly) removed my Spotify account in the LSM page "Settings>Advanced>Spotty Spotify for Squeezebox".

    Now when I click 'Add Account' on that page it just seems to do a page refresh without offering the opportunity to add account details.

    I currently get the following error message at the top of that page:

    There has been a problem running the Spotty helper application. Most likely your operating system and/or platform is not supported. Please report the following details to me:
    Operating system: Synology DiskStation / unknown
    Helper Applications Folder:
    Information is not avaialable. Please update Logitech Media Server to 7.7.6 or more recent.
    sh: ldd: command not found


    Setting>Information shows me: Logitech Media Server Version: 7.7.6 - 1452060463 @ Thu Jan 21 02:17:04 UTC 2016

    I've looked at the log file /volume1/@appstore/SqueezeCenter/Logs/server.log where I see the following entries in response to clicking the Add Account button:

    [20-11-21 14:07:03.6240] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [20-11-21 14:07:03.6265] Plugins::Spotty::Helper::get (52) Last error:
    sh: /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux/spotty-hf: No such file or directory
    [20-11-21 14:07:03.7799] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [20-11-21 14:07:03.7817] Plugins::Spotty::Helper::get (52) Last error:
    sh: /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux/spotty-hf: No such file or directory
    [20-11-21 14:07:03.8221] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [20-11-21 14:07:03.8304] Plugins::Spotty::Helper::get (52) Last error:
    sh: /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux/spotty-hf: No such file or directory
    [20-11-21 14:07:03.8362] Plugins::Spotty::Connect::canSpotifyConnect (84) Cannot support Spotty Connect, need at least helper version 0.12.0
    [20-11-21 14:07:04.0681] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [20-11-21 14:07:04.0699] Plugins::Spotty::Helper::get (52) Last error:
    sh: /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux/spotty-hf: No such file or directory
    [20-11-21 14:07:04.0717] Plugins::Spotty::Connect::canSpotifyConnect (84) Cannot support Spotty Connect, need at least helper version 0.12.0

    Any assistance much appreciated.

  2. #2
    Senior Member
    Join Date
    Oct 2005
    Location
    Ireland
    Posts
    20,426
    Quote Originally Posted by ryckman View Post
    Setting>Information shows me: Logitech Media Server Version: 7.7.6 - 1452060463 @ Thu Jan 21 02:17:04 UTC 2016
    Too old . You need 8.0.0 for spotify. Spotify have changed their services and so require https support which is not in LMS 7.7

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •